org.apache.storm.trident.operation.impl

## Class SingleEmitAggregator

- java.lang.Object
- - org.apache.storm.trident.operation.impl.SingleEmitAggregator

- All Implemented Interfaces:
    Serializable, Aggregator<org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState>, Operation

      public class SingleEmitAggregator
      extends Object
      implements Aggregator<org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SingleEmitAggregator.BatchToPartition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleEmitAggregator(Aggregator agg, SingleEmitAggregator.BatchToPartition batchToPartition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState val, TridentTuple tuple, TridentCollector collector)`
    `void` | `cleanup()` When running in local mode, called when the local cluster is being shut down.
    `void` | `complete(org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState val, TridentCollector collector)`
    `org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState` | `init(Object batchId, TridentCollector collector)`
    `void` | `prepare(Map<String,Object> conf, TridentOperationContext context)` Called when the `Operation` is first initialized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleEmitAggregator

          public SingleEmitAggregator(Aggregator agg,
                                      SingleEmitAggregator.BatchToPartition batchToPartition)

  - ### Method Detail

    - #### init

          public org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState init(Object batchId,
                                                                                                   TridentCollector collector)

      Specified by:
        `init` in interface `Aggregator<org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState>`

    - #### aggregate

          public void aggregate(org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState val,
                                TridentTuple tuple,
                                TridentCollector collector)

      Specified by:
        `aggregate` in interface `Aggregator<org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState>`

    - #### complete

          public void complete(org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState val,
                               TridentCollector collector)

      Specified by:
        `complete` in interface `Aggregator<org.apache.storm.trident.operation.impl.SingleEmitAggregator.SingleEmitState>`

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              TridentOperationContext context)

      Description copied from interface: `Operation`

      Called when the `Operation` is first initialized.

      Specified by:
        `prepare` in interface `Operation`
      Parameters:
        `conf` - the Storm configuration map
        `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
      See Also:
        `TridentOperationContext`

    - #### cleanup

          public void cleanup()

      Description copied from interface: `Operation`

      When running in local mode, called when the local cluster is being shut down.

      Specified by:
        `cleanup` in interface `Operation`

Copyright © 2021 The Apache Software Foundation. All rights reserved.